<?php
// $Id: discuss.php 39 2006-08-23 02:49:14Z yosha_01 $
require '../../mainfile.php';

$xoopsOption['template_main'] = 'discuss_discuss.html';
include XOOPS_ROOT_PATH.'/header.php';

$discuss_obj = null;
if(!empty($_GET["discuss_id"])) {
	$discuss_id = intval($_GET["discuss_id"]);
	$discuss_handler =& xoops_getmodulehandler("discuss");
	$discuss_obj =& $discuss_handler->get($discuss_id);
}
if( is_object($discuss_obj) ) {
	$xoopsTpl->assign('discuss_id', $discuss_id);
	$xoopsTpl->assign('subject', $discuss_obj->getVar('subject'));
	include(XOOPS_ROOT_PATH.'/footer.php');
} else {
	redirect_header(XOOPS_URL."/modules/discuss/", 1, _MD_DISCUSS_NODISCUSSION);
}
?>